public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/gdb] gdb-17.2-rebase-f44: Improve error handling on generate-* scripts
@ 2026-06-27 23:58 Sergio Durigan Junior
  0 siblings, 0 replies; only message in thread
From: Sergio Durigan Junior @ 2026-06-27 23:58 UTC (permalink / raw)
  To: git-commits

A new commit has been pushed.

Repo   : rpms/gdb
Branch : gdb-17.2-rebase-f44
Commit : 2e649f71e0bc00324654788b7c9c1c7efe5490d9
Author : Sergio Durigan Junior <sergiodj@redhat.com>
Date   : 2018-07-25T17:35:59-04:00
Stats  : +10/-0 in 2 file(s)
URL    : https://src.fedoraproject.org/rpms/gdb/c/2e649f71e0bc00324654788b7c9c1c7efe5490d9?branch=gdb-17.2-rebase-f44

Log:
Improve error handling on generate-* scripts

---
diff --git a/generate-git-repo-from-patches.sh b/generate-git-repo-from-patches.sh
index 8f68477..490cca9 100755
--- a/generate-git-repo-from-patches.sh
+++ b/generate-git-repo-from-patches.sh
@@ -35,8 +35,14 @@ test -f _git_upstream_commit || die "Cannot find _git_upstream_commit file."
 test -f _patch_order || die "Cannot find _patch_order file."
 
 last_ancestor_commit=`cat _git_upstream_commit`
+
 cd $1
+
+git name-rev $last_ancestor_commit
+test $? -eq 0 || die "Could not find $last_ancestor_commit in the repository $1.  Did you run 'git fetch'?"
+
 git checkout $last_ancestor_commit
 for p in `cat ../_patch_order` ; do
     git am ../$p
+    test $? -eq 0 || die "Could not apply patch '$p'."
 done

diff --git a/generate-patches-from-git-repo.sh b/generate-patches-from-git-repo.sh
index 3d454b7..faa64a2 100755
--- a/generate-patches-from-git-repo.sh
+++ b/generate-patches-from-git-repo.sh
@@ -51,6 +51,10 @@ for f in `cat _patch_order` ; do
 done
 
 cd $1
+
+git name-rev $commit_or_tag
+test $? -eq 0 || die "Could not find $commit_or_tag in the repository.  Did you run 'git fetch'?"
+
 idx=1
 common_ancestor=`git merge-base HEAD $commit_or_tag`
 

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-06-27 23:58 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-06-27 23:58 [rpms/gdb] gdb-17.2-rebase-f44: Improve error handling on generate-* scripts Sergio Durigan Junior

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox